merge {limma} | R Documentation

## Merge RGList or MAList Data Objects

### Description

Merge two microarray data sets represented by RGLists in possibly irregular order.

### Usage

    ## S3 method for class 'RGList':
    merge(x,y,...)

### Arguments

`x` | `RGList-class` or `MAList-class` object
`y` | `RGList` object, corresponding to the same genes as for `x`, possibly in a different order, but with different arrays.
`...` | other arguments are accepted but not used at present

### Details

`RGList` and `MAList` objects are list objects containing numeric matrices all of the same dimensions. The RGLists are merged by merging each of the components by row names or, if there are no row names, by IDs in the `genes` component. Unlike when using `cbind`, row names are not required to be in the same order or to be unique. In the case of repeated row names, the order of the rows with repeated names in preserved. This means that the first occurrence of each name in `x$R` is matched with the first occurrence of the same name in `y$R`, the second with the second, and so on. The final vector of row names is the same as in `x`.

Note: if the `RGList` objects contain the same number of genes in the same order then the appropriate function to combine them is `cbind` rather than `merge`.

### Value

An merged object of the same class as `x` and `y` with the same components as `x`. Component matrices have the same rows names as in `x` but columns from `y` as well as `x`.

### Author(s)

Gordon Smyth

### See Also

R base provides a `merge` method for merging data.frames.

An overview of limma commands for reading, subsetting and merging data is given in 03.ReadingData.

### Examples

    M <- A <- matrix(11:14,4,2)
    rownames(M) <- rownames(A) <- c("a","a","b","c")
    MA1 <- new("MAList",list(M=M,A=A))

    M <- A <- matrix(21:24,4,2)
    rownames(M) <- rownames(A) <- c("b","a","a","c")
    MA2 <- new("MAList",list(M=M,A=A))

    merge(MA1,MA2)
    merge(MA2,MA1)

[Package limma version 2.16.5 Index]